---
title: "Learning Go Day Six: Picking a project"
date: 2024-05-06T08:00:00.0Z
tags:
    - learning
    - go
excerpt: "It's finally time to decide on what project I'm going to build this month"
---

Okay I'm only six days into learning a new language, and I've barely scratched the surface[^1]. But I learn best by actually _doing_ things, so I've decided what I'm going to build.

I'm going to make a simple uptime dashboard for my blog, in the same vein as [broke.lol](https://broke.lol). It should:

* Monitor my website(s) for downtime
* Give some up/downtime statistics
* Display the current status, especially if things are broken

And that's more-or-less it. If I get done early, I might stretch it out to do more analytics, so counting visitors, referers etc. That's a stretch though, because I'd want to do it in a way that's privacy respecting and fully anonymous.

The repository for this project will be on my personal Git server, and I'll update this post with the repo URL once it's been created.

[^1]: Seriously, I flicked through the [Tour of Go](https://go.dev/tour) to see how much I was actually skipping and there was a surprising amount of stuff in there